STDIOBUF(3C++)

NAME
stdiobuf - iostream specialized to stdio FILE

SYNOPSIS
#include <iostream.h>
#include <stdiostream.h>
#include <stdio.h>
class stdiobuf : public streambuf {
		stdiobuf(FILE* f);
	FILE*	stdiofile();
};

DESCRIPTION
Operations on a stdiobuf are reflected on the associated FILE. A stdiobuf is constructed in unbuffered mode, which causes all operations to be reflected immediately in the FILE. seekg()s and seekp()s are translated into fseek()s. setbuf() has its usual meaning; if it supplies a reserve area, buffering will be turned back on.

CAVEATS
stdiobuf is intended to be used when mixing C and C++ code. New C++ code should prefer to use filebufs, which have better performance.

SEE ALSO
filebuf(3C++), istream(3C++), ostream(3C++), sbuf.pub(3C++)